import axios from "@/utils/request";

export function getLocalBusType(query) {
  return axios({
    url: "/udiwms/localBusType/filter",
    method: "get",
    params: query
  });
}

export function getLocalJoinBusType(query) {
  return axios({
    url: "/udiwms/localBusType/filterJoin",
    method: "get",
    params: query
  });
}


export function getLocalJoinNoUse(query) {
  return axios({
    url: "/udiwms/localBusType/filterUnUse",
    method: "get",
    params: query
  });
}

export function filterByBus(query) {
  return axios({
    url: "/udiwms/localBusType/filterByBus",
    method: "get",
    params: query
  });
}


export function addLocalBusType(query) {
  return axios({
    url: "/udiwms/localBusType/add",
    method: "post",
    data: query
  });
}


export function deleteLocalBusType(query) {
  return axios({
    url: "/udiwms/localBusType/delete",
    method: "post",
    data: query
  });
}

export function updateLocalBusType(query) {
  return axios({
    url: "/udiwms/localBusType/update",
    method: "post",
    data: query
  });
}

export function filterForThirdSys() {
  return axios({
    url: "/udiwms/localBusType/filterForThirdSys",
    method: "get",
    param: null
  })
}
